ワイヤード・パンチ

元・大阪人が、岡山の山奥でも生きていけることを証明するためのブログ。

Fireタブレット版Tumblrでログインできないときの対処法。

fireタブレットでtumblrのアプリを使いたい場合、amazonストアアプリからダウンロードする必要があります。Fire OSはandroidベースでありながら、google playストアにアクセスが許されていません。よってamazonから、いざTumblrをダウンロードしたは良いのですが、なぜかログインしようとしてもエラーになってしまいました。

広告

どんなエラー?

メールアドレスとパスワードを入れ、ログインしようとしても、「Tumblrに接続することができません。時間を置いてもう一度お試しください。」というエラーが出てログインできませんでした。そのときは、たまたまサーバが混んでいただけだろうと思うだけでした。しかし、一日経ってからまたログインしてみても解決せず、さらには二日経ってもダメ。ブラウザからは難なくログインできるので、これはアプリに原因があると思ったわけです。

ちなみに、メールアドレスもしくはパスワードをわざと間違えた状態でログインしようとすると、「メールアドレス、もしくはパスワードが正しくありません。もう一度お試しください。」とメッセージが出るので、冒頭で挙げたエラーメッセージが出た場合、メールアドレスとパスワードに間違いはないことがわかります。

解決法。

実は二段階認証を導入していたことが原因でした。

二段階認証について改めて説明すると、いつものパスワードとは別に、特定の端末でしか見れない、時間単位で自動生成されるもう一つのパスワードも必要になり、不正ログインの被害を抑えられるというものです。通常ならば、いつものパスワードを入れてログイン後、6桁の二段階認証パスワードも入力する画面が出てくるはずなのですが、それが出てこないのです。tumblr公式のアプリであるにも関わらず。

二段階認証が使えないアプリの場合、ブラウザ版tumblrの管理画面から、アプリ独自のパスワードを発行することができ、いつものパスワードの代わりにそれを使ってログインすることになります。

今回、fireタブレット版のtumblrでもそのパスワードを使うことで、ようやくログインすることができました。

実は最新版ではない。

ログイン直後にtumblrサポートからの英文のメッセージが表示され、要約するならば「現在お使いのアプリは古いバージョンとなっています。」とのこと。ストアから新規でインストールしたのにも関わらず、古いバージョンだと指摘されてしまいました。ストアは仕様上、最新バージョン以外はインストールできないはずです。つまりどういうわけか、amazonストアでダウンロードできるアプリは、google playストアでダウンロードできるアプリより古いようです。どおりで、ニ段階認証に対応していないわけです。

何でこんな仕打ちをするのだろうか。もうFireタブレットいらない気がしてきた。といっても他にタブレットは所有していないし、次のタブレットを持つまでのつなぎとして、しばらくは持っておくことにします。

追記。(2017/12/26)

いつの間にか新しいFireタブレットが出ていました。

今だと状況は違うかも。